Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::TriconnectedTest Class Reference
Graph_test

class for testing if a graph is triconnected More...

`#include <TriconnectedTest.h>`

Inheritance diagram for tlp::TriconnectedTest:
[legend]
Collaboration diagram for tlp::TriconnectedTest:
[legend]

List of all members.

## Static Public Member Functions

- static bool isTriconnected (Graph *graph)

## Detailed Description

class for testing if a graph is triconnected

## Member Function Documentation

static bool tlp::TriconnectedTest::isTriconnected | ( | Graph * | graph | ) | `[static]`

Returns true if the graph is triconnected (i.e. a connected graph such that deleting any two nodes (and incident edges) results in a graph that is still connected), false otherwise.

Tulip Software by LaBRI Visualization Team 2001 - 2012